Subject: bug#66993: [PATCH] project.el: avoid asking user about project-list-file lock

From: Eli Zaretskii <[email-masked]>
Date: Sun, 19 Nov 2023 17:23:22 +0200

> Date: Sun, 19 Nov 2023 16:31:22 +0200
> Cc: [email-masked], [email-masked]
> From: Dmitry Gutov <[email-masked]>
> 
> On 18/11/2023 18:26, Eli Zaretskii wrote:
> > Even if we decide to do that (and I'm not at all sure we should), how
> > would that solve the difficulty pointed out by Dmitry?  Even if
> > savehist is ON by default, the user could turn it OFF, right?
> 
> I think the working hypothesis is that they are the same feature: if 
> project--list is used for saving the previous inputs, it can be covered 
> by savehist-mode.

Then maybe I'm missing something: savehist is AFAIU a feature that
saves minibuffer history, not just _any_ history.  Are we talking
about minibuffer history here?  I didn't think so.